Download it now!
Bug 78782 - start center: cannot open documents with "Enter" key
Summary: start center: cannot open documents with "Enter" key
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:4.3.0
Keywords: regression
Depends on:
Blocks: mab4.3
  Show dependency treegraph
 
Reported: 2014-05-16 12:55 UTC by Michael Stahl (CIB)
Modified: 2014-06-14 13:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl (CIB) 2014-05-16 12:55:18 UTC
move around with cursor keys on the thumbnails works,
but Enter key does not open the selected document;
guess this has some A11y impact.

broken on master, works on current libreoffice-4-2 branch.
Comment 1 V Stuart Foote 2014-05-17 18:53:28 UTC
Looking at what I had on hand, it was correct on 4.3.0 through at least 2014-04-20.

Version: 4.3.0.0.alpha0+
Build ID: 087a79db1272858f107656c5ca3c6efb45680986
TinderBox: Win-x86@39, Branch:master, Time: 2014-04-16_01:43:37

and also for the 20 April build of aplha1
Version: 4.3.0.0.alpha1
Build ID: 46cfcd5a05aa1d13fecd73f5a25b64b8d8dd6781

but had regressed by 2014-04-30.

Version: 4.3.0.0.alpha1+
Build ID: 0b03f7ed575838f90e6b1ebec3538a3a214f81fb
TinderBox: Win-x86@39, Branch:master, Time: 2014-04-30_01:30:46

Would that be during Kendy's work on the startcenter: Add possibility to selectively remove recent documents? -- http://cgit.freedesktop.org/libreoffice/core/commit/?id=60cd850d672bc1dcc3eb24adfffa7a6ab98a44bd
Comment 2 Commit Notification 2014-05-17 18:57:58 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=435c1b15dc33e4570aa8438cd92708572f8145c5

fdo#78782 startcenter: open document on enter key



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 V Stuart Foote 2014-05-18 14:27:54 UTC
Confirmed fixed on Windows 7 sp1, 64-bit with
Version: 4.3.0.0.alpha1+
Build ID: 0d8908b35999795ba1ffe2d3530aa9711918840a
TinderBox: Win-x86@42, Branch:master, Time: 2014-05-17_22:55:54